package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.PracticeGroupType;
import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class PracticeGroupQueryInfo extends QueryInfo {

    private String organId;

    private Integer teacherId;

    private Integer studentId;

    private Long practiceId;

    private String month;

    private Integer isFree;

    private Integer isOver;

    private Integer hasReport;

    private PracticeGroupType practiceGroupType;

    private String groupStatus;

    private Integer educationalTeacherId;

    private Boolean hasEducationalTeacherId;

    private Integer type;

    private boolean isExport = false;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public PracticeGroupType getPracticeGroupType() {
        return practiceGroupType;
    }

    public void setPracticeGroupType(PracticeGroupType practiceGroupType) {
        this.practiceGroupType = practiceGroupType;
    }

    public String getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(String groupStatus) {
        this.groupStatus = groupStatus;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Boolean getHasEducationalTeacherId() {
        return hasEducationalTeacherId;
    }

    public void setHasEducationalTeacherId(Boolean hasEducationalTeacherId) {
        this.hasEducationalTeacherId = hasEducationalTeacherId;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public Long getPracticeId() {
        return practiceId;
    }

    public void setPracticeId(Long practiceId) {
        this.practiceId = practiceId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public Integer getIsFree() {
        return isFree;
    }

    public void setIsFree(Integer isFree) {
        this.isFree = isFree;
    }

    public Integer getIsOver() {
        return isOver;
    }

    public void setIsOver(Integer isOver) {
        this.isOver = isOver;
    }

    public Integer getHasReport() {
        return hasReport;
    }

    public void setHasReport(Integer hasReport) {
        this.hasReport = hasReport;
    }
}
